/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2007. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/
/*
 *  $RCSfile: $
 *  $Revision: $  $Date: $ 
 */
/**
 * 
 */
package com.ibm.ram.internal.batch.filesystem;

import java.util.Map;

import com.ibm.ram.common.data.Asset;

/**
 * 
 * @author ebordeau
 * @since 7.1
 */
public class DescriptionRule extends AbstractRule {

	static final String DESCRIPTION = "description"; //$NON-NLS-1$
	public static final String ID = DescriptionRule.class.getName();
	
	private String description;
	
	public void initialize(Map config) {
		super.initialize(config);
		setDescription((String)config.get(DESCRIPTION));
	}

	public void save(Map config) {
		super.save(config);
		config.put(DESCRIPTION, description);
	}
	
	public boolean applyValue(Asset asset) {
		if (description != null && description.length() > 0) {
			asset.setDescription(description);
			return true;
		}
		return false;
	}
	
	public String getId() {
		return ID;
	}
	
	public void setDescription(String description) {
		this.description = description;
	}

}
