/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2007. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/
/*
 *  $RCSfile: $
 *  $Revision: $  $Date: $ 
 */
/**
 * 
 */
package com.ibm.ram.internal.batch.filesystem;

/**
 * Represents an object that can contain rules.
 * 
 * @author ebordeau
 * @since 7.1
 */
public interface IRuleContainer {
	
	/**
	 * Returns an array of rules contained by this container.
	 * 
	 * @return an array of rules contained by this container
	 */
	IRule[] getRules();
	
	/**
	 * Adds a rule to this container.
	 * 
	 * @param rule the rule to add
	 */
	void add(IRule rule);
	
	/**
	 * Removes a rule from this container. If the rule doesn't exist in this
	 * container, nothing is changed.
	 * 
	 * @param rule the rule to remove
	 */
	void remove(IRule rule);

}
