/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2007. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/
/*
 *  $RCSfile: $
 *  $Revision: $  $Date: $ 
 */
/**
 * 
 */
package com.ibm.ram.internal.batch.filesystem;

import java.util.Map;

import com.ibm.ram.common.data.Asset;

/**
 * 
 * @author ebordeau
 * @since 7.1
 */
public class VersionRule extends AbstractRule {
	
	static final String VERSION = "version"; //$NON-NLS-1$
	public static final String ID = VersionRule.class.getName();
	
	private String version;
	
	public void initialize(Map config) {
		super.initialize(config);
		setVersion((String)config.get(VERSION));
	}

	public void save(Map config) {
		super.save(config);
		config.put(VERSION, version);
	}
	
	public boolean applyValue(Asset asset) {
		if (version != null && version.length() > 0) {
			asset.getIdentification().setVersion(version);
			return true;
		}
		return false;
	}

	public String getId() {
		return ID;
	}
	
	public void setVersion(String version) {
		this.version = version;
	}

}
