/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2007. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/
/*
 *  $RCSfile: $
 *  $Revision: $  $Date: $ 
 */
/**
 * 
 */
package com.ibm.ram.internal.batch.filesystem.ui;

import org.eclipse.jface.action.IAction;
import org.eclipse.jface.dialogs.Dialog;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.jface.wizard.WizardDialog;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.ui.*;

import com.ibm.ram.batch.ui.IBatchClientEditor;
import com.ibm.ram.internal.batch.filesystem.IRuleContainer;
import com.ibm.ram.internal.batch.ui.BatchUpdateEditor;

/**
 * 
 * @author ebordeau
 * @since 7.1
 */
public class AddRuleAction implements IEditorActionDelegate {
	
	private IBatchClientEditor editor;
	private IStructuredSelection selection;
	
	public void setActiveEditor(IAction action, IEditorPart targetEditor) {
		if (targetEditor instanceof IBatchClientEditor)
			this.editor = (IBatchClientEditor)targetEditor;
		else 
			this.editor = null;
	}

	public void run(IAction action) {
		if (selection != null) {
			IBatchClientEditor editor = this.editor;
			IRuleContainer parent = (IRuleContainer)selection.getFirstElement();
			if (parent != null) {
				RuleWizard wizard = new RuleWizard(parent);
				Shell shell = PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell();
				WizardDialog dialog = new WizardDialog(shell, wizard);
				int rc = dialog.open();
				if (rc != Dialog.CANCEL) {
					((BatchUpdateEditor)editor).setDirty(true);
					editor.refresh();
				}
			}
		}
	}

	public void selectionChanged(IAction action, ISelection selection) {
		if (selection instanceof IStructuredSelection)
			this.selection = (IStructuredSelection)selection;
		else
			this.selection = null;
	}

}
