/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2007. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/
/*
 *  $RCSfile: $
 *  $Revision: $  $Date: $ 
 */
/**
 * 
 */
package com.ibm.ram.internal.batch.filesystem.ui;

import org.eclipse.jface.viewers.LabelProvider;
import org.eclipse.swt.graphics.Image;

import com.ibm.ram.internal.batch.filesystem.FileSystemDataSource;
import com.ibm.ram.internal.batch.filesystem.IRule;
import com.ibm.ram.internal.rich.ui.util.ImageUtil;

/**
 * 
 * @author ebordeau
 * @since 7.1
 */
public class FileSystemBatchLabelProvider extends LabelProvider {

	public Image getImage(Object element) {
		if (element instanceof FileSystemDataSource) {
			return ImageUtil.FOLDER_IMAGE;
		} else if (element instanceof IRule) {
			IRule rule = (IRule)element;
			return RuleUtil.getImage(rule.getId());
		}		
		return super.getImage(element);
	}

	public String getText(Object element) {
		if (element instanceof FileSystemDataSource) {
			FileSystemDataSource fsds = (FileSystemDataSource)element;
			return fsds.getRootPath();
		}
		return super.getText(element);
	}

}
